summaryrefslogtreecommitdiff
path: root/.config/polybar/protonvpn_status.sh
diff options
context:
space:
mode:
Diffstat (limited to '.config/polybar/protonvpn_status.sh')
-rwxr-xr-x.config/polybar/protonvpn_status.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/.config/polybar/protonvpn_status.sh b/.config/polybar/protonvpn_status.sh
new file mode 100755
index 00000000..1e2b90a4
--- /dev/null
+++ b/.config/polybar/protonvpn_status.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -euo pipefail
+IFS=$'\n\t'
+
+PROTONVPN_STATUS=$(curl -s https://am.i.mullvad.net/country)
+
+if echo $PROTONVPN_STATUS | grep -q 'Uruguay'; then
+ echo "%{u#f90000}VPN %{T5}🚫%{T-}"
+ else
+ echo "%{u#75d85a}VPN %{T5}✅%{T-}"
+fi